注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

奕克

爱家人爱工作爱生活

 
 
 

日志

 
 

python安装pip时提示bad md5 hash  

2015-08-17 00:20:56|  分类: python |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
   这次换了台机子装python,用get-pip脚本(https://bootstrap.pypa.io/get-pip.py)安装pip时,第一次网络不好,包下载一半可能断掉了,所以提示bad md5 hash。。。之后再次运行 python get-pip.py,好像默认一直是用那个缓存下来的包,所以一直还是提示md5校验不对。。。后来查找网页,发现pip所支持的那些命令参数,get-pip脚本也是支持的,所以用
python get-pip.py --no-cache-dir 
不使用缓存,重新下载pip安装搞定。

然后运行pip提示需要vc++,需要安装vs2008,或者安装一个vcfor python27。
然后还是无法通过pip安装numpy,pycharm里的setting里的project interpreter也安装不了,只好直接上网站下载了numpy和scipy和matplotlib的安装包。
然后运行matplotlib时提示需要模块six和dateutil,用pip搞定,其中dateutil在pip中名称是为python-dateutil。
终于都能成功运行了,总结是windows下配置这些太麻烦,不如直接安装个pythonxy那样的打包科学计算软件。
  评论这张
 
阅读(213)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017